Gecode::HeapAllocated Class Reference
Common functionality » Memory management » %Heap memory management

Base class for heap allocated objects. More...

`#include <heap.hpp>`

## Static Public Member Functions

static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.

## Detailed Description

Base class for heap allocated objects.

Definition at line 340 of file heap.hpp.

## Member Function Documentation

## operator new()

void * Gecode::HeapAllocated::operator new | ( | size_t | s | ) |

inline static

Memory management.

Allocate memory from heap

Definition at line 415 of file heap.hpp.

## operator delete()

void Gecode::HeapAllocated::operator delete | ( | void * | p | ) |

inline static

Free memory allocated from heap.

Definition at line 419 of file heap.hpp.

The documentation for this class was generated from the following file:

- gecode/support/heap.hpp